<?php

/*

  osCommRes, Services Online
  http://www.oscommres.com

  Copyright (c) 2005 osCommRes

  Released under the GNU General Public License
  
  Freeway eCommerce from ZacWare
http://www.zac-ware.com/freeway

Copyright 2007 ZacWare Pty. Ltd 
*/
// Set flag that this is a parent file
	define( '_FEXEC', 1 );
//call center orders
  require('includes/application_top.php');  
  tep_get_last_access_file();
  require('includes/classes/currencies.php');
  require(DIR_WS_FUNCTIONS . 'events_tree.php');
  require('includes/classes/pdfTable.php');
  require('font/makefont/makefont.php');
  
  require(DIR_WS_CLASSES . 'split_page_results_report.php');
  define(BOX_WIDTH1,'125');

	// get initial parameters, try to load from session for previous settings
	if (isset($HTTP_GET_VARS["return"]) && isset($HTTP_SESSION_VARS["rep_params"])){
		$input_params=&$HTTP_SESSION_VARS["rep_params"];
	} else {
		$input_params=&$HTTP_POST_VARS;
		if (isset($input_params["post_action"])){
			tep_set_session_value("rep_params",$HTTP_POST_VARS);
			$GLOBALS["rep_params"]["post_action"]="screen";
		} else {
			tep_set_session_value("rep_params",array());
		}
	}
	$date_begin=isset($input_params['txt_start_date'])?tep_convert_date_raw($input_params['txt_start_date']):'';
	$date_end=isset($input_params['txt_end_date'])?tep_convert_date_raw($input_params['txt_end_date']):'';
	$instructor=isset($input_params['sel_instructor'])?$input_params['sel_instructor']:-1;
	$location=isset($input_params['sel_location'])?$input_params['sel_location']:-1;
	$staff=isset($input_params['sel_staff'])?$input_params['sel_staff']:"All";
	$event=isset($input_params['sel_event'])?$input_params['sel_event']:-1;
	$event_show=isset($input_params['chk_event'])?true:false;
	$subscription_show=isset($input_params['chk_subscription'])?true:false;
	$product_show=isset($input_params['chk_product'])?true:false;
	$summary_show=isset($input_params['chk_summary'])?true:false;
	$post_action = isset($input_params['post_action'])?$input_params['post_action']:'';
	$page=isset($input_params['page'])?$input_params['page']:1;

	$currencies=new currencies();
	

	if ($post_action=="") {
		$output_pdf=true;
		$post_action="screen";
	}
	if (!$product_show && !$event_show && !$subscription_show) {
		$event_show=true;
		$product_show=true;
		$subscription_show=true;
	}
	if ($date_begin==""){
		$sql =  "select date_sub('".getServerDate()."', interval 1 month) begin,'".getServerDate()."' as end";
		$sql_result = tep_db_query($sql);
		$row = mysql_fetch_assoc($sql_result);
		$date_begin = $row["begin"];
		$date_end = $row["end"];
	}
	/*if ($date_end==""){
		//$sql =  "select date_add('$date_begin', interval -(dayofmonth('$date_begin')-1) day) begin, date_add('$date_begin', interval (30-dayofmonth('$date_begin')) day) end";	
		$sql =  "select date_add('$date_begin', interval 1 month) end";	
		$sql_result = tep_db_query($sql);
		$row = mysql_fetch_assoc($sql_result);
		
		$date_end = $row["end"];	
	}*/
	// prepare the display headers;
	$display_header="";
	
	
	if ($date_end==""){
		$sql =  "select date_add('$date_begin', interval -(dayofmonth('$date_begin')-1) day) begin, date_add('$date_begin', interval (30-dayofmonth('$date_begin')) day) end";	
		$sql_result = tep_db_query($sql);
		$row = mysql_fetch_assoc($sql_result);
		$date_begin = $row["begin"];
		$date_end = $row["end"];
	}
	// create header text for pdf content
	$display_header="";
	$display_header.=TEXT_FROM  . ":&nbsp;&nbsp;" . $date_begin . "&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;";
	$display_header.=TEXT_TO  . ":&nbsp;&nbsp;" . $date_end ."\t";
	
	if ($instructor=="-1") $display_header.=TEXT_INSTRUCTOR . ":&nbsp;&nbsp;" . TEXT_ALL_INSTRUCTORS ."\t";
	if ($location=="-1") $display_header.=TEXT_LOCATION . ":&nbsp;&nbsp;" . TEXT_ALL_LOCATIONS  ."\t";
	if ($event=="-1") $display_header.=TEXT_EVENT . ":&nbsp;&nbsp;" . TEXT_ALL_EVENTS  ."\t";
	if ($staff=="All") $display_header.=TEXT_CALL_CENTRE_STAFF . ":&nbsp;&nbsp;" . TEXT_ALL_STAFFS."\t";
	
	$instructors_array = array();
	$events_array = array();
	$locations_array=array();
	$order_status_array=array();
	
	// get instructor names			
	$sql = "select a.admin_id admin_id, admin_firstname, admin_lastname  from events_instructors ei, admin a where ei.admin_id=a.admin_id order by admin_firstname,admin_lastname";
	$sql_result = tep_db_query($sql);
	$num_rows = tep_db_num_rows($sql_result);
	$instructors_array[]=array("id"=>-1,"text"=>TEXT_ALL_INSTRUCTORS);
	while($row=tep_db_fetch_array($sql_result)) {
		$instructors_array[]=array("id"=>$row["admin_id"],"text"=>$row["admin_firstname"]." ".$row["admin_lastname"]);
		if ($row["admin_id"]==$instructor){
			$display_header.=TEXT_INSTRUCTOR  . ":&nbsp;&nbsp;" . $row["admin_firstname"]." ".$row["admin_lastname"] . "\t";
		}
	}
	mysql_free_result($sql_result);
		
	// get location names
	$sql = "select distinct location_id, location_name from events,events_locations where location_id=events_location order by location_name";
	$sql_result = tep_db_query($sql);
	$locations_array[]=array("id"=>-1,"text"=>TEXT_ALL_LOCATIONS);
	while($row=tep_db_fetch_array($sql_result)) {
		$locations_array[]=array("id"=>$row["location_id"],"text"=>$row["location_name"]);
		if ($row["location_id"]==$location){
			$display_header.=TEXT_LOCATION  . ":&nbsp;&nbsp;" . $row["location_name"] . "\t";
		}
	}
	mysql_free_result($sql_result);

	// get all  events
	$events_option="";
	if ($login_groups_type==TEXT_INSTRUCTOR_ENTRY) $events_option=" and e.events_instructor='" . $login_id . "'";
	$sql = "select e.events_id events_id, Events_name  events_name from events e, events_description ed where e.events_id = ed.events_id and ed.language_id='" . $languages_id . "'" . EVENTS_CONDITION_STATUS . $events_option . "order by events_name";
	$sql_result = tep_db_query($sql);
	$events_array[]=array("id"=>-1,"text"=>TEXT_ALL_EVENTS);
	while($row=tep_db_fetch_array($sql_result)) {
		$events_array[]=array("id"=>$row["events_id"],"text"=>$row["events_name"]);
		if ($row["events_id"]==$event){
			$display_header.=TEXT_EVENT  . ":&nbsp;&nbsp;" . $row["events_name"] . "\t";
		}
	}
	mysql_free_result($sql_result);
	
	// get all call centre orders
	$sql="SELECT concat(a.admin_firstname,' ',a.admin_lastname) as admin_name from " . TABLE_ADMIN . " a, " . TABLE_ADMIN_GROUPS . 
			" ag where ag.admin_groups_id=a.admin_groups_id  and ag.admin_groups_name='" . TEXT_CALLSTAFF_ENTRY . "' order by admin_firstname,admin_lastname";
	
	$sql_result=tep_db_query($sql);
	$call_staff_array[]=array("id"=>"All","text"=>TEXT_ALL_STAFFS);
	while($row=tep_db_fetch_array($sql_result)){
		$call_staff_array[]=array("id"=>$row["admin_name"],"text"=>$row["admin_name"]);
		if ($row["admin_name"]==$staff){
			$display_header.=TEXT_CALL_CENTRE_STAFF  . ":&nbsp;&nbsp;" . $row["admin_name"];
		}
	}
	mysql_free_result($sql_result);

	// get the mysql results;
	$sql="SELECT orders_status_id,orders_status_name from " . TABLE_ORDERS_STATUS . " where language_id='" . $languages_id . "'";
	$sql_result=tep_db_query($sql);
	while($row=tep_db_fetch_array($sql_result)){
		$order_status_array[$row["orders_status_id"]]=$row["orders_status_name"];
	}
		
	$found_results=false;
		$where = " ";
		$db_result=array();
		$num_rows=0;
		$cur_row=0;
		$rows_each=REPORT_MAX_ROWS_PAGE;
		if ($event_show && $product_show && $subscription_show){
			$rows_each=ceil($rows_each/2);
		}
		// if event details is needed to show
		if ($event_show) {
			if($instructor!="-1") {
				$where.= "and e.events_instructor='".$instructor."' ";
			} 
			if($location!="-1") {
				$where.= "and e.events_location='".$location."' ";
			}
			if($event!="-1") {
				$where.= "and e.events_id='".$event."' ";
			}
			if($staff!="All") {
				$where.= "and os.user_added='".tep_db_prepare_input($staff)."' ";
			}
			
			// create sql for fetching event orders
			$sql = "select o.orders_id, concat(LTRIM(c.customers_lastname),' ',LTRIM(c.customers_firstname)) as customers_name, os.user_added,
			o.customers_email_address customers_email_address, ed.events_name item_name,e.events_id as item_id,
			events_type, waitlist_type, orders_status,e.events_group_bookings,op.products_quantity from " . TABLE_EVENTS_SESSIONS . " es, " . TABLE_ORDERS_PRODUCTS . " op, " . TABLE_ORDERS . " o, " . TABLE_CUSTOMERS . " c," . TABLE_EVENTS . " e, " . TABLE_EVENTS_DESCRIPTION . " ed, " .
			TABLE_ORDERS_STATUS_HISTORY . " os where o.customers_id=c.customers_id and sessions_id = op.products_id and op.orders_id=o.orders_id and o.orders_id=os.orders_id and e.events_id=es.events_id and ed.language_id='" . $languages_id . "'
			and ed.events_id=e.events_id and op.products_type='E' and date_format(o.date_purchased,'%Y-%m-%d')>='$date_begin' and date_format(o.date_purchased,'%Y-%m-%d')<='$date_end'".$where." group by o.orders_id,e.events_id order by os.user_added,item_id,customers_name";
			
			if ($post_action=="screen"){
				$query_split1 = new splitPageResultsReport($page, $rows_each, $sql, $query_split_numrows1);
			}

			$db_result[$cur_row]=array("display"=>TEXT_EVENTS , "result"=>tep_db_query($sql));
			$num_rows=tep_db_num_rows($db_result[$cur_row]["result"]);
			$cur_row++;
		}
		$where=" ";
		// if product details is need to show
		if ($product_show) {
			if($staff!="All") {
				$where.= "and os.user_added='".tep_db_prepare_input($staff)."' ";
			}
			// create sql for fetching product orders
			$sql = "select o.orders_id, concat(LTRIM(c.customers_lastname),' ',LTRIM(c.customers_firstname)) as customers_name,os.user_added,op.products_id as item_id,
			o.customers_email_address customers_email_address,op.products_name as item_name,events_type, waitlist_type, 
			orders_status from " . TABLE_ORDERS_PRODUCTS . " op, " . TABLE_ORDERS . " o, " . TABLE_CUSTOMERS . " c, " .	TABLE_ORDERS_STATUS_HISTORY . " os where o.customers_id =c.customers_id and op.orders_id=o.orders_id and o.orders_id=os.orders_id 
			and op.products_type!='E' and op.products_type!='S' and date_format(o.date_purchased,'%Y-%m-%d')>='$date_begin' and date_format(o.date_purchased,'%Y-%m-%d')<='$date_end' ".$where." group by o.orders_id order by os.user_added,item_id,customers_name";
			
			if ($post_action=="screen"){
				// split the content
				$query_split2 = new splitPageResultsReport($page, $rows_each, $sql, $query_split_numrows2,false);
			}
			$db_result[$cur_row]=array("display"=>TEXT_PRODUCTS , "result"=>tep_db_query($sql));
			$num_rows+=tep_db_num_rows($db_result[$cur_row]["result"]);
			$cur_row++;
		}
		if ($num_rows>0) {	
			$found_results=true;
			if ($post_action=="screen"){
				if ($query_split_numrows1>=$query_split_numrows2){
					$query_split=&$query_split1;
				} else {
					$query_split=&$query_split2;
				}
				$query_split_numrows=$query_split_numrows1+$query_split_numrows2;
			}
		}
		// if suscription details is need to show
		if ($subscription_show) {
			if($staff!="All") {
				$where.= "and os.user_added='".tep_db_prepare_input($staff)."' ";
			}
			// create sql for fetching subscription orders
			$sql = "select o.orders_id, o.customers_name customers_name,os.user_added,op.products_id as item_id,
			o.customers_email_address customers_email_address,op.products_name as item_name, 
			orders_status from " . TABLE_ORDERS_PRODUCTS . " op, " . TABLE_ORDERS . " o, " . 	TABLE_ORDERS_STATUS_HISTORY . " os where op.orders_id=o.orders_id and o.orders_id=os.orders_id 
			and op.products_type!='E' and op.products_type!='P' and date_format(o.date_purchased,'%Y-%m-%d')>='$date_begin' and date_format(o.date_purchased,'%Y-%m-%d')<='$date_end' ".$where." group by o.orders_id order by os.user_added,item_id,customers_name";
			
			if ($post_action=="screen"){
				// split the content
				$query_split2 = new splitPageResultsReport($page, $rows_each, $sql, $query_split_numrows2,false);
			}
			$db_result[$cur_row]=array("display"=>TEXT_SUBSCRIPTION , "result"=>tep_db_query($sql));
			$num_rows+=tep_db_num_rows($db_result[$cur_row]["result"]);
		}
		if ($num_rows>0) {	
			$found_results=true;
			if ($post_action=="screen"){
				if ($query_split_numrows1>=$query_split_numrows2){
					$query_split=&$query_split1;
				} else {
					$query_split=&$query_split2;
				}
				$query_split_numrows=$query_split_numrows1+$query_split_numrows2;
			}
		}
		
		// manipulate the results and prepare the array;
		$output_array=array();
		$row_cnt=0;
		$all_totals=array(TEXT_PRODUCTS=>0,TEXT_EVENTS=>0,TEXT_SUBSCRIPTION=>0);
		for ($icnt=0;$icnt<sizeof($db_result);$icnt++) {
			$sql_result=&$db_result[$icnt]["result"];
			$output_array[$row_cnt]=array('type'=>'head','content'=>$db_result[$icnt]["display"]);
			$row_cnt++;
			$output_array[$row_cnt]=array('type'=>'startdiv');
			$row_cnt++;
			$total=0;
			$sub_total=0;
			$last_row=0;
			$i=1;
			$prev_user="";
			$prev_item=0;
			$net_total=0;
			while($row = tep_db_fetch_array($sql_result)) {
				$user=$row["user_added"];
				$item=$row["item_id"];
				$sum_query=tep_db_query("SELECT sum(op.final_price*op.products_quantity) as final_price,op.products_tax from " . 
										TABLE_ORDERS_PRODUCTS . " op where op.orders_id='" . $row["orders_id"] . "' group by orders_id");
				$row1=tep_db_fetch_array($sum_query);
				if ($prev_user!=$user) { 
					// output user name
					if ($sub_total>0) {
						// output sub-total amount
						$output_array[$row_cnt]=array('type'=>'subtotal','content'=>$currencies->format($sub_total));
						$row_cnt++;
						$sub_total=0;
					}
					if ($total>0){
						// output total amount
						$output_array[$row_cnt]=array('type'=>'total','content'=>$currencies->format($total));
						$output_array[$last_row]['amount']=$total;
						$row_cnt++;
						$total=0;
					}
					$output_array[$row_cnt]=array('type'=>'user','content'=>$user,'amount'=>0);
					$last_row=$row_cnt;
					$row_cnt++;
					$prev_user=$user;
					$prev_item=0;
				} 
				if ($prev_item!=$item){
					// output item name
					if ($sub_total>0) {
						$output_array[$row_cnt]=array('type'=>'subtotal','content'=>$currencies->format($sub_total));
						$row_cnt++;
						$sub_total=0;
					}
					$output_array[$row_cnt]=array('type'=>'item','content'=>$row['item_name']);
					$row_cnt++;
					$prev_item=$item;
				}
				$amount=tep_add_tax($row1['final_price'],$row1["products_tax"]);
				$amount=tep_get_rounded_amount($amount);
				
				// if needed to display summary or not
				if (!$summary_show) {
					$output_array[$row_cnt]=array('type'=>'row','col1'=>$row["orders_id"],'col2'=>$i,'col3'=>$row['customers_name'],
													'col4'=>$row['customers_email_address'],'col5'=>$order_status_array[$row['orders_status']],
													'col6'=>$currencies->format($amount)
													);
													
													
					$row_cnt++;
				}
				$i++;
				$sub_total+=$amount;
				$total+=$amount;
				$net_total+=$amount;
			}
			if ($sub_total>0) {
				$output_array[$row_cnt]=array('type'=>'subtotal','content'=>$currencies->format($sub_total));
				$row_cnt++;
				$sub_total=0;
			}
			if ($total>0){
				$output_array[$row_cnt]=array('type'=>'total','content'=>$currencies->format($total));
				$output_array[$last_row]['amount']=$total;
				$row_cnt++;
				$total=0;
			}
			$all_totals[$db_result[$icnt]["display"]]=$net_total;
			$output_array[$row_cnt]=array('type'=>'enddiv');
			$row_cnt++;
		}
		$report_filename=sprintf("call_centre_orders_%s_%s",$login_id,time());
		// output to pdf
		if ($post_action=="pdf"){
			generate_pdf();
			tep_redirect(DIR_WS_CATALOG . "images/".$report_filename.".pdf");
			return;
		}
		// output to excel
		if ($post_action=="excel"){
			generate_excel();
			tep_redirect(DIR_WS_CATALOG . "images/".$report_filename.".csv");
			return;
		}
		tep_delete_temp_files("call_centre_orders_" . $login_id);
?>
<!doctype html public "-//W3C//DTD HTML 4.01 Transitional//EN">
<html <?php echo HTML_PARAMS; ?>>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=<?php echo CHARSET; ?>">
<title><?php echo TITLE; ?></title>
<link rel="stylesheet" type="text/css" href="includes/stylesheet.css">
<script language="javascript" src="includes/menu.js"></script>
<script language="javascript" src="includes/general.js"></script>
<script language="JavaScript" src="includes/date-picker.js"></script>
<?php  include(DIR_WS_INCLUDES."date_format_js.php")?>
<script language="javascript">
	function showOrderDetails(id){
		location.href="customers_orders.php?action=edit&oID="+id+"&return=cl";
	}
	function doReport(mode) {
		startDate=date_format(document.f.txt_start_date.value,'','y-m-d',true);
		endDate=date_format(document.f.txt_end_date.value,'','y-m-d',true);
		
		if(startDate>endDate) {
			alert("<?php echo REPORT_START_AFTER_END?>");
			return;
		}
		if (mode==3){
			document.f.post_action.value="excel"
			document.f.target="_blank";
		} else if (mode==2){
			document.f.post_action.value="pdf";
			document.f.target="_blank";
		} else {
			document.f.post_action.value="screen";
			document.f.target="_self";
		}
		document.f.submit();
	}
</script>
</head>
<body marginwidth="0" marginheight="0" topmargin="0" bottommargin="0" leftmargin="0" rightmargin="0" bgcolor="#FFFFFF">
<div id="spiffycalendar" class="text"></div>
	<!-- header //-->
	<?php require(DIR_WS_INCLUDES . 'header.php'); ?>
	<!-- header_eof //-->
	<!-- body //-->
<table border="0" width="100%" cellspacing="2" cellpadding="2">
<tr> 
	<!-- body_text //-->	  
	<td width=100% align=left valign="top">
	<table border="0" width="100%" cellspacing="0" cellpadding="2">
		<tr height="10">
			<!-- <td class="pageHeading"><?php //echo HEADING_REPORT_CALL_CENTER;?></td> !-->	
		</tr>
        <tr>
		  	<TD>
			<?php 	echo tep_draw_form("f",FILENAME_CALL_CENTRE_ORDERS);
					echo tep_draw_hidden_field("post_action","screen");
			?>
			<table border="0" cellspacing="3" cellpadding="2" class="searchArea" width="100%">
				<tr>

					<td nowrap="true"><?php $_array=array('d','m','Y');  $replace_array=array('DD','MM','YYYY'); 	$date_format=str_replace($_array,$replace_array,EVENTS_DATE_FORMAT);?>
						<?php echo TEXT_FROM . '&nbsp;' . tep_draw_input_field("txt_start_date",format_date($date_begin),'maxlength="10" size="10"');?>
						<a href="javascript:show_calendar('f.txt_start_date',null,null,'<?php echo $date_format;?>');"
						onmouseover="window.status='Date Picker';return true;"
						onmouseout="window.status='';return true;"><img border="none" src="images/icon_calendar.gif"/>  
						</a>
						<?php echo '&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;' . TEXT_TO . '&nbsp;' . tep_draw_input_field("txt_end_date",format_date($date_end),'maxlength="10" size="10"');?>



						<a href="javascript:show_calendar('f.txt_end_date',null,null,'<?php echo $date_format;?>');"
						onmouseover="window.status='Date Picker';return true;"
						onmouseout="window.status='';return true;"><img border="none" src="images/icon_calendar.gif"/>  
						</a>
						<?php    
						echo '&nbsp;' . TEXT_SHOW . '&nbsp;' . tep_draw_checkbox_field("chk_product",1,$product_show) . TEXT_PRODUCTS;
						echo '&nbsp;' . tep_draw_checkbox_field("chk_event",1,$event_show) . TEXT_EVENTS;
						echo '&nbsp;' . tep_draw_checkbox_field("chk_subscription",1,$subscription_show) . TEXT_SUBSCRIPTION;
						echo '&nbsp;' . tep_draw_checkbox_field("chk_summary",1,$summary_show) . TEXT_SUMMARY_ONLY;
						?>
					</td>
					<td valign="middle" align="right">
						<?php echo '<a href="javascript:doReport(1);">' . tep_image_button('button_report_search.gif', IMAGE_SEARCH_DETAILS) . '</a>'; ?>
					</td>
				</tr>
				<tr>
					<td nowrap="true">
						<?php 	echo TEXT_LOCATION . '&nbsp;&nbsp;&nbsp;&nbsp;'  . tep_draw_pull_down_menu("sel_location",$locations_array,$location);
								$all_events_array=array();
								$all_events_array = tep_get_events_array_single();
								if(sizeof($all_events_array)<=0) echo 'Events are not Available';
								else echo tep_draw_separator('pixel_trans.gif',45,10) . TEXT_EVENT . '&nbsp;' . tep_draw_event_select_menu('sel_event',$all_events_array,$event,' id="sel_event"');
								
								echo '&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;' . TEXT_INSTRUCTOR . '&nbsp;' . tep_draw_pull_down_menu("sel_instructor",$instructors_array,$instructor);
								
						?>
					</td>

					<td class="main" valign="middle" align="right">
							<?php echo '<a href="javascript:doReport(2);">' . tep_image_button('button_export_pdf.gif', IMG_EXPORT_PDF) . '</a>';?>
					</td>
				</tr>
				<tr>
					<td nowrap="true">
						<?php
								echo TEXT_CALL_CENTRE_STAFF . '&nbsp;' . tep_draw_pull_down_menu("sel_staff",$call_staff_array,$staff);
								
								//	echo TEXT_OUTPUT . tep_draw_checkbox_field("chk_output_pdf",1,$output_pdf) . TEXT_PDF;
							//	echo '&nbsp;' . tep_draw_checkbox_field("chk_output_excel",1,$output_excel) . TEXT_EXCEL;

						?>
					</td>
					<td class="main" valign="middle" align="right">
							<?php echo '<a href="javascript:doReport(3);">' . tep_image_button('button_export_excel.gif', IMG_EXPORT_EXCEL) . '</a>';?>
					</td>
				</tr>

			<!-- report content -->
		</table>
		</form>
		</td>
	</tr>
	<tr ><td class="cell_bg_report_header">&nbsp;</td></tr>
	<tr>
		<td height="5"></td>
	</tr>
			<?php if ($found_results) {
			?>
		<tr>
				<td>
				<table border="0" width="100%" cellspacing="0" cellpadding="2">
					<tr>
						<td class="smallText" align="left">
							<?php echo $query_split->display_links($query_split_numrows, REPORT_MAX_ROWS_PAGE, REPORT_MAX_LINKS_PAGE, $page,tep_get_report_params()); ?>&nbsp;
						</td>
					</tr>
				</table>
				</td>
		</tr>
	<?php }?>
	<tr>
		<td>
	   <table border="0" width="100%" cellspacing="1" cellpadding="1">
			<?php
				if ($found_results) {
					$close_tag=false;
					for ($icnt=0;$icnt<sizeof($output_array);$icnt++) {
						$type=$output_array[$icnt]['type'];
						$element=&$output_array[$icnt];
						if ($type=='head'){
							$net_total=$all_totals[$element['content']];
			?>
							<tr>
								<td class="pageHeading"><?php tep_content_title_top($element['content']);?></td>
							</tr>
							<tr>
								<td><?php echo tep_draw_separator('pixel_trans.gif',1,5);?></td>
							</tr>
			<?php		} else if ($type=='startdiv') { 
						?>
							<tr>
								<td>
								<table border="0" cellpadding="0" cellspacing="0" width="100%">
			<?php		} else if ($type=='enddiv') { 
						?>
								</table>
								</td>
							</tr>
							<tr>
								<td><?php echo tep_draw_separator('pixel_trans.gif',1,10);?></td>
							</tr>
							<?php tep_content_title_bottom();?>
			<?php		} else if ($type=='subtotal') {
						?>
							<tr height="20">
								<td class="dataTableContent" style="cursor:pointer;cursor:hand;" colspan="4" align="right" valign="middle">
									<b><?php echo TEXT_TOTAL;?></b>
								</td>
								<td style="cursor:hand" align="right" class='dataTableContent'>
									<?php echo $element['content'];?>
								</td>
							</tr>
							<tr>
								<td colspan="5"><?php echo tep_draw_separator();?></td>
							</tr>
			<?php		} else if ($type=='total') {
						?>
							<tr height="20">
								<td class="dataTableContent" style="cursor:pointer;cursor:hand" colspan="4" align="right" valign="middle">
									<b><?php echo TEXT_GRAND_TOTAL;?></b>
								</td>
								<td style="cursor:hand" align="right" class='dataTableContent'>
									<?php echo $element['content'];?>
								</td>
							</tr>
							<tr>
								<td><?php echo tep_draw_separator('pixel_trans.gif',1,10);?></td>
							</tr>
			<?php		 } else if ($type=='user') {
							$percent=number_format(($element['amount']/$net_total)*100,2);
						 ?>
							<tr height="30">
								<td valign="top" style="cursor:pointer;cursor:hand" colspan="5" align="left">
								<table border="0" cellpadding="2" cellspacing="0" class="searchArea" width="100%">
									<tr>
										<td class="TableHeading"><?php echo sprintf(TEXT_USER_ORDER,$element['content'],$percent);?></td>
									</tr>
								</table>
								</td>
							</tr>
							<tr class='dataTableHeadingTitleRow'>
								<td class='dataTableHeadingTitleContent' width="30"><?php echo TEXT_ID;?></td>
								<td class='dataTableHeadingTitleContent'><?php echo TEXT_CLIENT;?></td>
								<td class='dataTableHeadingTitleContent' width="50"><?php echo TEXT_EMAIL;?></td>
								<td class='dataTableHeadingTitleContent' width="100"><?php echo TEXT_STATUS;?></td>
								<td class='dataTableHeadingTitleContent' width="100" align="right"><?php echo TEXT_AMOUNT;?></td>
							</tr>
			<?php 		} else if ($type=='item') {
						?>
							<tr  height=20>
								<td class="dataTableContent" colspan="5" valign="middle">
									<b>
									<?php echo $element['content'];?>
									</b>
								</td>
							</tr>
			<?php 		} else if ($type=='row') {
			if($disp_class=='dataTableRow')
						  	$disp_class='dataTableRowOver';
						  else
						  	$disp_class='dataTableRow';
					?>
						 <tr class='<?php echo $disp_class;?>' height="20" style="cursor:pointer;cursor:hand"  onClick="javascript:showOrderDetails('<?php echo $element["col1"];?>')">
							  <td class='dataTableContent' style="cursor:hand"><?php echo $element['col2'];?></td>
							  <td class='dataTableContent' style="cursor:hand"><?php echo $element['col3'];?></td>
							  <td class='dataTableContent' style="cursor:hand" align="center"><a href="mailto:<?php echo $element['col4'];?>"><img src="images/icons/mail.gif" border="0"></a></td>
							  <td class='dataTableContent' style="cursor:hand"><?php echo $element['col5'];?></td>
							  <td class='dataTableContent' style="cursor:hand" align="right"><?php 
							  echo $element['col6'];?></td>
						  </tr>
			<?php 
						}
					}
				}
				else{
					echo '<tr><td class="main" align="center">' . TEXT_NO_RECORDS_FOUND . '</td></tr>';
				}
				?>
	</table>
	</TD>
	</tr>
</table>
</td>
</tr>
</table>
	<!-- footer //-->
	<?php require(DIR_WS_INCLUDES . 'footer.php'); ?>
	<!-- footer_eof //-->
</body>
</html>
<?php require(DIR_WS_INCLUDES . 'application_bottom.php'); 

	// function to create pdf content
	function generate_pdf(){
		global $output_array,$all_totals,$display_header,$found_results,$login_id,$report_filename,$currencies;
		// set initial parameters
		$table=new pdfTable("A4","l");
		$table->left_margin=20;
		$table->top_margin=20;
		$table->right_margin=20;
		$table->bottom_margin=20;
		$table->pdfInit();
		
		// Add Styles for table output
		$table->AddStyle("heading","color:#727272;bgcolor:#ffffff;font:Arial;size:18;style:B");
		$table->AddStyle("user","color:#000000;bgcolor:#f1f9fe;font:Arial;size:14;style:B;border-color:#7b9ebd");
		$table->AddStyle("subhead","color:#000000;bgcolor:#7b9ebd;font:Arial;size:10;style:B");
		$table->AddStyle("headrow","color:#000000;bgcolor:#C9C9C9;font:Arial;size:10;style:B");
		$table->AddStyle("row","color:#000000;bgcolor:#F0F1F1;font:Arial;size:10");
		$table->AddStyle("query","color:#000000;bgcolor:#FFFFFF;font:Arial;size:11");
		$table->AddStyle("subrow","color:#000000;bgcolor:#FFFFFF;font:Arial;size:10");
		$table->AddStyle("subrowhead","color:#000000;bgcolor:#FFFFFF;font:Arial;size:10;style:B");

		$table->headers["text"]=$display_header;
		$table->headers["style"]="query";
		$table->headers["height"]=12;
		$table->headers["width"]="100%";
		$table->headers["cols"]=3;

		// define table column width
		$widths[0]=$table->width*5/100;
		$widths[2]=$table->width*10/100;
		$widths[3]=$table->width*10/100;

		$widths[1]=$table->width-($widths[0]+$widths[2]+$widths[3]);
		
		if ($found_results){
			// output the content		
		for ($icnt=0;$icnt<sizeof($output_array);$icnt++) {
			$type=$output_array[$icnt]['type'];
			$element=&$output_array[$icnt];
			$doll=$currencies->format($element["col6"]);
			$cols=array();
			if ($type=='head'){
				$net_total=$all_totals[$element['content']];
				$cols[]=array("text"=>$element['content'],"width"=>"100%","align"=>"L","style"=>"heading","valign"=>"M");
				$table->OutputRow($cols,20);
				unset($cols);
				$table->DrawGap(10);
			} else if ($type=='subtotal') {
				$cols[]=array("text"=>TEXT_TOTAL,"width"=>$widths[0]+$widths[1]+$widths[2],"align"=>"R","style"=>"subrowhead","valign"=>"M");
				$cols[]=array("text"=>$element['content'],"width"=>$widths[3],"align"=>"R","style"=>"subrow","valign"=>"M");
				$table->OutputRow($cols,15);
				unset($cols);
				$table->DrawLine();
			} else if ($type=='total') {
				$cols[]=array("text"=>TEXT_GRAND_TOTAL,"width"=>$widths[0]+$widths[1]+$widths[2],"align"=>"R","style"=>"subrowhead","valign"=>"M");
				$cols[]=array("text"=>$element['content'],"width"=>$widths[3],"align"=>"R","style"=>"subrow","valign"=>"M");
				$height=15;
				$table->OutputRow($cols,15);
				unset($cols);
				$table->DrawGap(6);
			} else if ($type=='user') {
				$percent=number_format(($element['amount']/$net_total)*100,2);
				$cols[]=array("text"=>sprintf(TEXT_USER_ORDER,$element['content'],$percent),"width"=>"100%","align"=>"L","style"=>"user","valign"=>"M");
				$table->OutputRow($cols,20);
				unset($cols);
				$table->DrawGap(6);
				$cols[]=array("text"=>TEXT_ID,"width"=>$widths[0],"align"=>"L","style"=>"headrow","valign"=>"M");
				$cols[]=array("text"=>TEXT_CLIENT,"width"=>$widths[1],"align"=>"L","style"=>"headrow","valign"=>"M");
				$cols[]=array("text"=>TEXT_STATUS,"width"=>$widths[2],"align"=>"L","style"=>"headrow","valign"=>"M");
				$cols[]=array("text"=>TEXT_AMOUNT,"width"=>$widths[3],"align"=>"R","style"=>"headrow","valign"=>"M");
				$table->OutputRow($cols,15);
				unset($cols);
			} else if ($type=='item') {
				$table->DrawGap(3);
				$cols[]=array("text"=>$element["content"],"width"=>"100%","align"=>"L","style"=>"subrowhead","valign"=>"M");
				$table->OutputRow($cols,15);
				unset($cols);
				$table->DrawGap(3);
			} else if ($type=='row') {						 
				$cols[]=array("text"=>$element["col2"],"width"=>$widths[0],"align"=>"L","style"=>"row","valign"=>"M");
				$cols[]=array("text"=>$element["col3"],"width"=>$widths[1],"align"=>"L","style"=>"row","valign"=>"M");
				$cols[]=array("text"=>$element["col5"],"width"=>$widths[2],"align"=>"L","style"=>"row","valign"=>"M");							
				$cols[]=array("text"=>$doll,"width"=>$widths[3],"align"=>"R","style"=>"row","valign"=>"M");
				$table->OutputRow($cols,15);
			}
		}
		} else {
			$cols[]=array("text"=>TEXT_NO_RECORDS_FOUND,"width"=>"100%","align"=>"C","style"=>"subrow","valign"=>"M");
			$table->OutputRow($cols,15);
			unset($cols);
		}
		// create the pdf
		$table->Render($report_filename.".pdf");
		unset($table);
	}
	// function to create excel content
	function generate_excel(){
		global $output_array,$all_totals,$found_results,$login_id,$report_filename;
		$result="";
		
		if ($found_results){
		for ($icnt=0;$icnt<sizeof($output_array);$icnt++) {
			$type=$output_array[$icnt]['type'];
			$element=&$output_array[$icnt];
			$cols=array();
			if ($type=='head'){
				$net_total=$all_totals[$element['content']];
				$result.=$element['content'] . "\n";
			} else if ($type=='subtotal') {
				$result.=",," . TEXT_TOTAL . ",\"" . $element['content'] . "\"\n";
			} else if ($type=='total') {
				$result.=",," . TEXT_GRAND_TOTAL . ",\"" . $element['content'] . "\"\n";
			} else if ($type=='user') {
				$percent=number_format(($element['amount']/$net_total)*100,2);
				$result.=sprintf(TEXT_USER_ORDER,$element['content'],$percent) . "\n";
				$result.=TEXT_ID . "," . TEXT_CLIENT . "," . TEXT_STATUS . "," . TEXT_AMOUNT . "\n";
			} else if ($type=='item') {
				$result.=$element["content"] . "\n";
			} else if ($type=='row') {
				$result.=$element["col2"] . "," . $element["col3"] . "," . $element["col5"] . ",\"" . $element["col6"] . "\"\n";
			}
		}
		} else {
			$result.=TEXT_NO_RECORDS_FOUND;
		}
		tep_write_text_file($report_filename.".csv",$result);
	}
?>